
QGIS Application - Bug report #17237

Snap is offseted when the map is rotated

2017-10-03 01:42 PM - Loïc BARTOLETTI

Status: Open

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:3.5(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25136

Description

When you want snap a segment and the map is rotated, the highlighted segment have an offset (seems to be the higher the value of the

rotation is, the higher the offset is.)

Tested with QGis 2.18 and master

History

#1 - 2019-01-21 12:34 AM - Jürgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#2 - 2019-01-21 10:22 AM - Loïc BARTOLETTI

- Affected QGIS version changed from 2.18.13 to 3.5(master)

- Status changed from Feedback to Open
